package com.gamedog.vididin.beans

import com.viddin.videos.free.R


open class RecordZero : BaseRecord() {
    var isSuccess: Boolean = false
    var amountNum: Double = 0.0
    var recordType: Int = 0
}

class RecordZeroShow: RecordZero() {
    var title: Int = 0
    var description: Int = 0
    var iconRes: Int = 0
}


fun RecordZero.toShowBean(): RecordZeroShow {
    return RecordZeroShow().apply {
        this@apply.uuid = this@toShowBean.uuid
        this@apply.dateMs = this@toShowBean.dateMs
        this@apply.isSuccess = this@toShowBean.isSuccess
        this@apply.amountNum = this@toShowBean.amountNum
        this@apply.recordType = this@toShowBean.recordType

        when (this@apply.recordType) {

        }
    }
}
